[project]
name = "hutams"
version = "0.1.0"
description = "HUTAMS STT Service for LTE-R"
readme = "README.md"
requires-python = ">=3.11"
dependencies = [
    "fastapi>=0.100.0",
    "uvicorn>=0.23.0",
    "faster-whisper",
    "rapidfuzz",
    "sqlalchemy",
    "pydantic",
    "pydub",
    "python-multipart",
    "jinja2",
    "websockets"
]

[dependency-groups]
dev = [
    "pytest",
    "ruff"
]

[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"
